/***** interface.h ************************************************
 * Description: Header file for user interface.
 * Author: Bernhard Haubold, haubold@evolbio.mpg.de
 * File created on Sun Jun 20 13:07:28 2004.
 *****************************************************************/
#include <getopt.h>
#define DEFAULT_C  1.0
#define DEFAULT_FL 500
#define DEFAULT_M  4
#define DEFAULT_LL 50
#define DEFAULT_E  1e-3
#define DEFAULT_R 100
#define DEFAULT_D 0.0

/* define argument container */
typedef struct args
{
  float c;			/* coverage */
  int l;			/* mean fragment length */
  float d;                      /* standard deviation of fragment length */
  int R;                        /* read length */
  float D;                      /* standard deviation of read length */
  int m;			/* minimum coverage for valid profile */
  float E;			/* sequencing error rate */
  int L;			/* output line length */
  int P;                        /* paired-end reads? */
  int s;			/* seed for random number generator */
  int S;			/* start position in sequence */
  int a;                        /* alignment? */
  int p;			/* print profiles? */
  int r;			/* circular genome? */
  int f;			/* sample only forward strand? (not visible and implied by -p) */
  int C;                        /* print single contig? */
  int h;			/* help message? */
  int v;			/* print version */
  char **input_files;
  int num_input_files;
} Args;

Args *get_args (int argc, char *argv[]);
void print_usage ();
void print_version (char *version);
